-- **************************************************
-- ██████  ██████   █████  ██    ██ ███████ ███    ██ 
-- ██   ██ ██   ██ ██   ██ ██    ██ ██      ████   ██ 
-- ██████  ██████  ███████ ██    ██ █████   ██ ██  ██ 
-- ██   ██ ██   ██ ██   ██  ██  ██  ██      ██  ██ ██ 
-- ██████  ██   ██ ██   ██   ████   ███████ ██   ████
-- **************************************************

require "Items/ProceduralDistributions"

--- Attempt to add a custom item distribution to the game.
--- <br> By: <b>BitBraven</b>
---@param container string
---@param itemDistro table
local function addToDistribution(container, itemDistro)
	local list = ProceduralDistributions.list; if not list then return end
	if not list[container] then return end

	for index, value in ipairs(itemDistro) do
		 table.insert(ProceduralDistributions.list[container].items, value)
	end
end

addToDistribution("ArmyStorageMedical", {"EmptySyringe", 3.5})
addToDistribution("BathroomCabinet", {"EmptySyringe", 1.5})
addToDistribution("BathroomCounter", {"EmptySyringe", 1.5})
addToDistribution("BathroomShelf", {"EmptySyringe", 1.5})
addToDistribution("MedicalClinicDrugs", {"EmptySyringe", 3.5})
addToDistribution("MedicalClinicOutfit", {"EmptySyringe", 3.5})
addToDistribution("MedicalClinicTools", {"EmptySyringe", 4.5})
addToDistribution("MedicalStorageDrugs", {"EmptySyringe", 3.5})
addToDistribution("MedicalStorageOutfit", {"EmptySyringe", 3.5})
addToDistribution("MedicalStorageTools", {"EmptySyringe", 4})
addToDistribution("SafehouseMedical", {"EmptySyringe", 3.5})
addToDistribution("TestingLab", {"EmptySyringe", 5})